## neat 0.0

=== DESCRIPTION ===
Package: neat
Type: Package
Title: Network Enrichment Analysis Test (NEAT)
Version: 0.0
Date: 2016-04-21
Depends: R (>= 3.2.0)
Author: Mirko Signorelli, Veronica Vinciotti and Ernst C. Wit
Maintainer: Mirko Signorelli <m.signorelli@rug.nl>
Description: Includes functions and examples to compute NEAT, a network-based test for gene enrichment analysis.
Suggests: igraph, Matrix
License: GPL-3
NeedsCompilation: no
Packaged: 2016-04-21 11:51:39 UTC; Mirko
Repository: CRAN
Date/Publication: 2016-04-21 22:13:05

## neat 0.1

=== DESCRIPTION ===
Package: neat
Type: Package
Title: Efficient Network Enrichment Analysis Test
Version: 0.1
Date: 2016-05-10
Depends: R (>= 3.2.0)
Author: Mirko Signorelli, Veronica Vinciotti and Ernst C. Wit
Maintainer: Mirko Signorelli <m.signorelli@rug.nl>
Description: Includes functions and examples to compute NEAT, a network-based test for gene enrichment analysis (Signorelli et al., 2016).
Suggests: igraph, Matrix
License: GPL-3
NeedsCompilation: no
Packaged: 2016-05-10 08:01:45 UTC; Mirko
Repository: CRAN
Date/Publication: 2016-05-10 10:30:37

## neat 0.2

=== DESCRIPTION ===
Package: neat
Type: Package
Title: Efficient Network Enrichment Analysis Test
Version: 0.2
Date: 2016-08-06
Depends: R (>= 3.3.0)
Author: Mirko Signorelli, Veronica Vinciotti and Ernst C. Wit
Maintainer: Mirko Signorelli <m.signorelli@rug.nl>
Description: Includes functions and examples to compute NEAT, a network-based test for gene enrichment analysis (Signorelli et al., 2016).
Suggests: igraph, Matrix, knitr, rmarkdown
VignetteBuilder: knitr
License: GPL-3
NeedsCompilation: no
Packaged: 2016-08-06 15:56:54 UTC; Mirko
Repository: CRAN
Date/Publication: 2016-08-06 22:31:37

## neat 1.0

=== DESCRIPTION ===
Package: neat
Type: Package
Title: Efficient Network Enrichment Analysis Test
Version: 1.0
Date: 2016-09-07
Depends: R (>= 3.3.0)
Author: Mirko Signorelli, Veronica Vinciotti and Ernst C. Wit
Maintainer: Mirko Signorelli <m.signorelli@rug.nl>
URL:
        https://bmcbioinformatics.biomedcentral.com/articles/10.1186/s12859-016-1203-6,
        http://mirkosignorelli.wixsite.com/home/software
Description: Includes functions and examples to compute NEAT, a network-based test for gene enrichment analysis (Signorelli, Vinciotti and Wit, 2016, <DOI:10.1186/s12859-016-1203-6>).
Suggests: igraph, Matrix, knitr, rmarkdown
VignetteBuilder: knitr
License: GPL-3
NeedsCompilation: no
Packaged: 2016-09-06 22:12:03 UTC; Mirko
Repository: CRAN
Date/Publication: 2016-09-07 08:49:09

## neat 1.1

=== DESCRIPTION ===
Package: neat
Type: Package
Title: Efficient Network Enrichment Analysis Test
Version: 1.1
Date: 2017-05-25
Depends: R (>= 3.3.0)
Author: Mirko Signorelli, Veronica Vinciotti and Ernst C. Wit
Maintainer: Mirko Signorelli <m.signorelli@rug.nl>
URL:
        https://bmcbioinformatics.biomedcentral.com/articles/10.1186/s12859-016-1203-6,
        http://mirkosignorelli.wixsite.com/home/software
Description: Includes functions and examples to compute NEAT, the Network Enrichment Analysis Test described in Signorelli et al. (2016, <DOI:10.1186/s12859-016-1203-6>).
Suggests: igraph, Matrix, knitr, rmarkdown
VignetteBuilder: knitr
License: GPL-3
NeedsCompilation: no
Packaged: 2017-05-25 14:59:42 UTC; Mirko
Repository: CRAN
Date/Publication: 2017-05-25 17:01:49 UTC

## neat 1.1.1

=== DESCRIPTION ===
Package: neat
Type: Package
Title: Efficient Network Enrichment Analysis Test
Version: 1.1.1
Date: 2017-07-20
Depends: R (>= 3.3.0)
Author: Mirko Signorelli, Veronica Vinciotti and Ernst C. Wit
Maintainer: Mirko Signorelli <m.signorelli@lumc.nl>
URL:
        https://bmcbioinformatics.biomedcentral.com/articles/10.1186/s12859-016-1203-6,
        http://mirkosignorelli.wixsite.com/home/software
Description: Includes functions and examples to compute NEAT, the Network Enrichment Analysis Test described in Signorelli et al. (2016, <DOI:10.1186/s12859-016-1203-6>).
Imports: igraph
Suggests: Matrix, knitr, rmarkdown
VignetteBuilder: knitr
License: GPL-3
NeedsCompilation: no
Packaged: 2017-07-19 08:25:07 UTC; msignorelli
Repository: CRAN
Date/Publication: 2017-07-19 10:57:20 UTC

## neat 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: neat
 Type: Package
 Title: Efficient Network Enrichment Analysis Test
-Version: 1.1.1
-Date: 2017-07-20
+Version: 1.1.2
+Date: 2018-02-9
 Depends: R (>= 3.3.0)
 Author: Mirko Signorelli, Veronica Vinciotti and Ernst C. Wit
 Maintainer: Mirko Signorelli <m.signorelli@lumc.nl>
@@ -15,6 +15,6 @@
 VignetteBuilder: knitr
 License: GPL-3
 NeedsCompilation: no
-Packaged: 2017-07-19 08:25:07 UTC; msignorelli
+Packaged: 2018-02-09 11:55:31 UTC; msignorelli
 Repository: CRAN
-Date/Publication: 2017-07-19 10:57:20 UTC
+Date/Publication: 2018-02-09 12:05:01 UTC

## neat 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: neat
 Type: Package
 Title: Efficient Network Enrichment Analysis Test
-Version: 1.1.2
-Date: 2018-02-9
+Version: 1.1.3
+Date: 2018-02-23
 Depends: R (>= 3.3.0)
 Author: Mirko Signorelli, Veronica Vinciotti and Ernst C. Wit
 Maintainer: Mirko Signorelli <m.signorelli@lumc.nl>
@@ -15,6 +15,6 @@
 VignetteBuilder: knitr
 License: GPL-3
 NeedsCompilation: no
-Packaged: 2018-02-09 11:55:31 UTC; msignorelli
+Packaged: 2018-02-23 14:09:24 UTC; msignorelli
 Repository: CRAN
-Date/Publication: 2018-02-09 12:05:01 UTC
+Date/Publication: 2018-02-23 14:27:04 UTC

## neat 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: neat
 Type: Package
 Title: Efficient Network Enrichment Analysis Test
-Version: 1.1.3
-Date: 2018-02-23
-Depends: R (>= 3.3.0)
+Version: 1.2.1
+Date: 2020-01-09
+Depends: R (>= 3.5.0)
 Author: Mirko Signorelli, Veronica Vinciotti and Ernst C. Wit
 Maintainer: Mirko Signorelli <m.signorelli@lumc.nl>
 URL:
@@ -15,6 +15,6 @@
 VignetteBuilder: knitr
 License: GPL-3
 NeedsCompilation: no
-Packaged: 2018-02-23 14:09:24 UTC; msignorelli
+Packaged: 2020-01-09 13:43:36 UTC; msignorelli
 Repository: CRAN
-Date/Publication: 2018-02-23 14:27:04 UTC
+Date/Publication: 2020-01-09 22:10:08 UTC

## neat 1.2.2

=== DESCRIPTION ===
Package: neat
Type: Package
Title: Efficient Network Enrichment Analysis Test
Version: 1.2.2
Date: 2020-10-22
Depends: R (>= 3.5.0)
Authors@R: 
    c(person(given = "Mirko",
             family = "Signorelli",
             role = c("aut", "cre", "cph"),
             email = "msignorelli.rpackages@gmail.com",
             comment = c(ORCID = "0000-0002-8102-3356")),
      person(given = "Veronica",
             family = "Vinciotti",
             role = "aut"),
      person(given = "Ernst",
             family = "Wit",
             role = "aut"))
URL: https://mirkosignorelli.github.io/
Description: Includes functions and examples to compute NEAT, the Network Enrichment Analysis Test described in Signorelli et al. (2016, <DOI:10.1186/s12859-016-1203-6>).
Imports: igraph
Suggests: Matrix, knitr, rmarkdown
VignetteBuilder: knitr
License: GPL-3
NeedsCompilation: no
Packaged: 2020-10-22 09:44:22 UTC; msignorelli
Author: Mirko Signorelli [aut, cre, cph]
    (<https://orcid.org/0000-0002-8102-3356>),
  Veronica Vinciotti [aut],
  Ernst Wit [aut]
Maintainer: Mirko Signorelli <msignorelli.rpackages@gmail.com>
Repository: CRAN
Date/Publication: 2020-10-22 12:00:05 UTC

## neat 1.2.3

=== DESCRIPTION ===
Package: neat
Type: Package
Title: Efficient Network Enrichment Analysis Test
Version: 1.2.3
Date: 2021-01-06
Depends: R (>= 3.5.0)
Authors@R: 
    c(person(given = "Mirko",
             family = "Signorelli",
             role = c("aut", "cre", "cph"),
             email = "msignorelli.rpackages@gmail.com",
             comment = c(ORCID = "0000-0002-8102-3356")),
      person(given = "Veronica",
             family = "Vinciotti",
             role = "ctb"),
      person(given = "Ernst",
             family = "Wit",
             role = "ctb"))
URL: https://mirkosignorelli.github.io/r
Description: Includes functions and examples to compute NEAT, the Network Enrichment Analysis Test described in Signorelli et al. (2016, <DOI:10.1186/s12859-016-1203-6>).
Imports: igraph
Suggests: Matrix, knitr, rmarkdown
VignetteBuilder: knitr
License: GPL-3
NeedsCompilation: no
Packaged: 2021-01-06 14:31:45 UTC; msignorelli
Author: Mirko Signorelli [aut, cre, cph]
    (<https://orcid.org/0000-0002-8102-3356>),
  Veronica Vinciotti [ctb],
  Ernst Wit [ctb]
Maintainer: Mirko Signorelli <msignorelli.rpackages@gmail.com>
Repository: CRAN
Date/Publication: 2021-01-07 06:00:02 UTC

## neat 1.2.4

=== DESCRIPTION ===
Package: neat
Title: Efficient Network Enrichment Analysis Test
Version: 1.2.4
Authors@R: c(
    person("Mirko", "Signorelli", , "msignorelli.rpackages@gmail.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0002-8102-3356")),
    person("Veronica", "Vinciotti", role = "ctb"),
    person("Ernst", "Wit", role = "ctb")
  )
Description: Includes functions and examples to compute NEAT, the Network
    Enrichment Analysis Test described in Signorelli et al.  (2016,
    <DOI:10.1186/s12859-016-1203-6>).
License: GPL-3
URL: https://mirkosignorelli.github.io/r
Depends: R (>= 4.1.0)
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.2.3
Imports: igraph
Suggests: knitr, Matrix, rmarkdown
NeedsCompilation: no
Packaged: 2024-01-31 13:50:27 UTC; ms
Author: Mirko Signorelli [aut, cre, cph]
    (<https://orcid.org/0000-0002-8102-3356>),
  Veronica Vinciotti [ctb],
  Ernst Wit [ctb]
Maintainer: Mirko Signorelli <msignorelli.rpackages@gmail.com>
Repository: CRAN
Date/Publication: 2024-02-01 09:30:02 UTC

## neat 2.0

=== Makefile ===
#----------------------------------------------------------------
# Revised Makefile (19/02/2014 PS)
# How to call:
# calling as normal
#     > make
# will trigger the default compiler options which include optimisation.
#
# You can now also call using
#     > make CO=debug
# for extra warnings, gprof and gdb output, exception trapping
# at runtime, and bounds-checking.
# This option is slow (about 2x slower than make all)
#
#     > make CO=debug2, debug3, pedantic
# offer further levels of checks in case of problems
#
#     > make new
# simply calls clean then all to force a re-build.
#
#     > (sudo) make install
# places the files in the standard UNIX directories.
#
# I have also included similar options for ifort. Since I have
# the compiler here, and it is potentially significantly faster,
# it may be useful when it comes time to do science.
#
#----------------------------------------------------------------

FC=gfortran
LD=gfortran
PREFIX=/usr
VERSION := $(shell git describe --always --tags --dirty)
BUILDDATE := "$(shell date)"
FFLAGS+=-cpp -DPREFIX=\"${PREFIX}\" -DVERSION=\"${VERSION}\" -DBUILDDATE=\"${BUILDDATE}\"
LDFLAGS+=
MANDIR=${DESTDIR}${PREFIX}/share/man/man1

ifeq ($(MESSAGES),yes)
    FFLAGS += -DCO=\"${CO}\"
endif

ifeq ($(FC),gfortran)
    FFLAGS += -ffree-line-length-0 -Jsource/ -fopenmp
  ifeq ($(CO),debug)
    FFLAGS += -fbounds-check -Wall -Wuninitialized
  else ifeq ($(CO),debug2)
    FFLAGS += -g -pg -fbounds-check -Wall -Wuninitialized
  else ifeq ($(CO),debug3)
    FFLAGS += -g -pg -fbounds-check -Wall -Wuninitialized -ffpe-trap=zero,overflow,invalid,underflow,denormal -fbacktrace -fcheck=all
  else ifeq ($(CO),pedantic)
    FFLAGS += -g -pg -fbounds-check -Wall -Wuninitialized -Werror -pedantic -ffpe-trap=zero,overflow,invalid,underflow,denormal
  else
    FFLAGS += -O3 -fno-backtrace
  endif
endif

ifeq ($(FC),ifort)
  FFLAGS += -module source/ -openmp
  LD=ifort
  ifeq ($(CO),debug)
    FFLAGS += -pg -g -check bounds -check uninit -warn all -warn nodeclarations -WB -zero -traceback
  else ifeq ($(CO),pedantic)
    FFLAGS += -pg -g -check bounds -check uninit -warn all -warn nodeclarations -WB -zero -traceback -std
  else
    FFLAGS += -axavx -msse3 -O3 -ip -ipo # for today's CPUs
#    FFLAGS += -fast -tune pn4 # for older pentium 4
  endif
endif

.PHONY: all clean install uninstall

all: neat

new: clean all

%.o: %.f90
	$(FC) $(FFLAGS) $< -c -o $@

neat: source/types.o source/oii_diagnostics.o source/hydrogen.o source/extinction.o source/rec_lines.o source/helium.o source/equib_routines.o source/filereading.o source/abundances.o source/quicksort.o source/linefinder.o source/weights.o source/neat.o
	$(LD) $(LDFLAGS) $(FFLAGS) -o $@ $^

clean:
	rm -f neat source/*.o source/*.mod

install:
	test -e ${DESTDIR}${PREFIX}/share/neat || mkdir -p ${DESTDIR}${PREFIX}/share/neat
	test -e ${DESTDIR}${PREFIX}/share/doc/neat/examples || mkdir -p ${DESTDIR}${PREFIX}/share/doc/neat/examples
	test -e ${DESTDIR}${PREFIX}/bin || mkdir -p ${DESTDIR}${PREFIX}/bin
	test -e ${MANDIR} || mkdir -p ${MANDIR}
	install -m 644 Atomic-data/*.* ${DESTDIR}${PREFIX}/share/neat
	install -m 644 source/Ilines_levs ${DESTDIR}${PREFIX}/share/neat
	install -m 644 utilities/complete_line_list ${DESTDIR}${PREFIX}/share/neat
	install -m 644 utilities/plot.sh ${DESTDIR}${PREFIX}/share/neat
	install -m 644 config/default.cfg ${DESTDIR}${PREFIX}/share/neat
	install -m 644 examples/*.dat ${DESTDIR}${PREFIX}/share/doc/neat/examples
	install neat ${DESTDIR}${PREFIX}/bin
	install -m 644 man/neat.1 ${MANDIR}
	-test -e ${DESTDIR}${PREFIX}/share/bash-completion/completions && install -m 644 source/bashcompletion ${DESTDIR}${PREFIX}/share/bash-completion/completions/neat
	gzip -f ${MANDIR}/neat.1

uninstall:
	rm -rf ${DESTDIR}${PREFIX}/share/neat ${DESTDIR}${PREFIX}/share/doc/neat
	rm -f ${DESTDIR}${PREFIX}/bin/neat
	rm -f ${DESTDIR}${PREFIX}/share/bash-completion/completions/neat
	rm -f ${MANDIR}/neat.1.gz

=== debian/changelog ===
neat (2.0-2build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:20:55 +0000

neat (2.0-2) unstable; urgency=low

  * Simplified build dependencies (Closes: #842365)
  * Removed output of build date (Closes: #829632)

 -- Roger Wesson <rw@nebulousresearch.org>  Mon, 31 Oct 2016 14:55:35 +0000

neat (2.0-1) unstable; urgency=low

  * Initial release (Closes: #809504)

 -- Roger Wesson <rw@nebulousresearch.org>  Tue, 12 Apr 2016 21:25:59 -0300

=== debian/control ===
Source: neat
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Roger Wesson <rw@nebulousresearch.org>
Build-Depends: debhelper (>= 9.0.0),
               gfortran
Standards-Version: 3.9.8
Homepage: https://github.com/rwesson/NEAT
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/neat.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/neat.git

Package: neat
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nebular Empirical Analysis Tool
 NEAT analyses lists of emission line fluxes measured from the spectra of
 photoionised nebulae such as planetary nebulae and HII regions.  It
 determines the extinction, and then adopts a three zone model to determine
 temperatures, densities, and ionic and total abundances, from collisionally
 excited lines and recombination lines.  It calculates uncertainties if
 required, using a Monte Carlo technique.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod a+x debian/neat/usr/share/neat/plot.sh

## neat 2.2

=== Makefile ===
--- 
+++ 
@@ -28,15 +28,24 @@
 
 FC=gfortran
 LD=gfortran
-PREFIX=/usr
-VERSION := $(shell git describe --always --tags --dirty)
-BUILDDATE := "$(shell date)"
-FFLAGS+=-cpp -DPREFIX=\"${PREFIX}\" -DVERSION=\"${VERSION}\" -DBUILDDATE=\"${BUILDDATE}\"
+
+# set prefix depending on OS
+OS := $(shell uname)
+ifeq ($(OS),Darwin)
+  PREFIX=/usr/local
+else
+  PREFIX=/usr
+endif
+
+# get the version from the debian changelog if this is a package, and from the git log otherwise
+VERSION := $(shell if [ -e debian/ ]; then dpkg-parsechangelog -S version; elif [ "`command -v git`" != "" ]; then git describe --always --tags --dirty; else echo "2.1"; fi)
+
+FFLAGS+=-cpp -DPREFIX=\"$(PREFIX)\" -DVERSION=\"$(VERSION)\"
 LDFLAGS+=
-MANDIR=${DESTDIR}${PREFIX}/share/man/man1
+MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1
 
 ifeq ($(MESSAGES),yes)
-    FFLAGS += -DCO=\"${CO}\"
+    FFLAGS += -DCO=\"$(CO)\"
 endif
 
 ifeq ($(FC),gfortran)
@@ -62,8 +71,7 @@
   else ifeq ($(CO),pedantic)
     FFLAGS += -pg -g -check bounds -check uninit -warn all -warn nodeclarations -WB -zero -traceback -std
   else
-    FFLAGS += -axavx -msse3 -O3 -ip -ipo # for today's CPUs
-#    FFLAGS += -fast -tune pn4 # for older pentium 4
+    FFLAGS += -fast
   endif
 endif
 
@@ -80,26 +88,30 @@
 	$(LD) $(LDFLAGS) $(FFLAGS) -o $@ $^
 
 clean:
-	rm -f neat source/*.o source/*.mod
+	rm -f neat source/*.o source/*.mod man/neat.html
 
-install:
-	test -e ${DESTDIR}${PREFIX}/share/neat || mkdir -p ${DESTDIR}${PREFIX}/share/neat
-	test -e ${DESTDIR}${PREFIX}/share/doc/neat/examples || mkdir -p ${DESTDIR}${PREFIX}/share/doc/neat/examples
-	test -e ${DESTDIR}${PREFIX}/bin || mkdir -p ${DESTDIR}${PREFIX}/bin
-	test -e ${MANDIR} || mkdir -p ${MANDIR}
-	install -m 644 Atomic-data/*.* ${DESTDIR}${PREFIX}/share/neat
-	install -m 644 source/Ilines_levs ${DESTDIR}${PREFIX}/share/neat
-	install -m 644 utilities/complete_line_list ${DESTDIR}${PREFIX}/share/neat
-	install -m 644 utilities/plot.sh ${DESTDIR}${PREFIX}/share/neat
-	install -m 644 config/default.cfg ${DESTDIR}${PREFIX}/share/neat
-	install -m 644 examples/*.dat ${DESTDIR}${PREFIX}/share/doc/neat/examples
-	install neat ${DESTDIR}${PREFIX}/bin
-	install -m 644 man/neat.1 ${MANDIR}
-	-test -e ${DESTDIR}${PREFIX}/share/bash-completion/completions && install -m 644 source/bashcompletion ${DESTDIR}${PREFIX}/share/bash-completion/completions/neat
-	gzip -f ${MANDIR}/neat.1
+install: neat
+	test -e $(DESTDIR)$(PREFIX)/share/neat || mkdir -p $(DESTDIR)$(PREFIX)/share/neat
+	test -e $(DESTDIR)$(PREFIX)/share/doc/neat/examples || mkdir -p $(DESTDIR)$(PREFIX)/share/doc/neat/examples
+	test -e $(DESTDIR)$(PREFIX)/bin || mkdir -p $(DESTDIR)$(PREFIX)/bin
+	test -e $(MANDIR) || mkdir -p $(MANDIR)
+	install -m 644 Atomic-data/*.* $(DESTDIR)$(PREFIX)/share/neat
+	install -m 644 source/Ilines_levs $(DESTDIR)$(PREFIX)/share/neat
+	install -m 644 utilities/complete_line_list $(DESTDIR)$(PREFIX)/share/neat
+	install -m 644 utilities/plot.sh $(DESTDIR)$(PREFIX)/share/neat
+	install -m 644 config/default.cfg $(DESTDIR)$(PREFIX)/share/neat
+	install -m 644 examples/*.dat $(DESTDIR)$(PREFIX)/share/doc/neat/examples
+	install neat $(DESTDIR)$(PREFIX)/bin
+	install -m 644 man/neat.1 $(MANDIR)
+	test -e $(DESTDIR)$(PREFIX)/share/bash-completion/completions || mkdir -p $(DESTDIR)$(PREFIX)/share/bash-completion/completions
+	install -m 644 source/bashcompletion $(DESTDIR)$(PREFIX)/share/bash-completion/completions/neat
+	gzip -f $(MANDIR)/neat.1
 
 uninstall:
-	rm -rf ${DESTDIR}${PREFIX}/share/neat ${DESTDIR}${PREFIX}/share/doc/neat
-	rm -f ${DESTDIR}${PREFIX}/bin/neat
-	rm -f ${DESTDIR}${PREFIX}/share/bash-completion/completions/neat
-	rm -f ${MANDIR}/neat.1.gz
+	rm -rf $(DESTDIR)$(PREFIX)/share/neat $(DESTDIR)$(PREFIX)/share/doc/neat
+	rm -f $(DESTDIR)$(PREFIX)/bin/neat
+	rm -f $(DESTDIR)$(PREFIX)/share/bash-completion/completions/neat
+	rm -f $(MANDIR)/neat.1.gz
+
+htmlmanual:
+	groff -m mandoc -Thtml man/neat.1 > man/neat.html

=== debian/changelog ===
neat (2.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:24 +0100

neat (2.2-1) unstable; urgency=low

  * new upstream release

 -- Roger Wesson <rw@nebulousresearch.org>  Sat, 25 Aug 2018 11:16:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Roger Wesson <rw@nebulousresearch.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11.0.0),
                gfortran
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/rwesson/NEAT
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/neat.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/neat.git
+Vcs-Git: https://salsa.debian.org/debian-astro-team/neat.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/neat
 
 Package: neat
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --no-parallel
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/NEAT-$1\.tar\.gz/ \
  https://github.com/rwesson/NEAT/tags .*/v?(\d\S*)\.tar\.gz

## neat 2.3.2

=== Makefile ===
--- 
+++ 
@@ -84,8 +84,8 @@
 %.o: %.f90
 	$(FC) $(FFLAGS) $< -c -o $@
 
-neat: source/types.o source/oii_diagnostics.o source/hydrogen.o source/extinction.o source/rec_lines.o source/helium.o source/equib_routines.o source/filereading.o source/abundances.o source/quicksort.o source/linefinder.o source/weights.o source/neat.o
-	$(LD) $(LDFLAGS) $(FFLAGS) -o $@ $^
+neat: source/globals.o source/types.o source/oii_diagnostics.o source/hydrogen.o source/extinction.o source/recombination_lines.o source/helium.o source/equib_routines.o source/quicksort.o source/functions.o source/filereading.o source/abundances.o source/commandline.o source/linefinder.o source/weights.o source/output.o source/neat.o
+	$(LD) $(LDFLAGS) $(FFLAGS) -o $@ $^ -lcfitsio
 
 clean:
 	rm -f neat source/*.o source/*.mod man/neat.html

=== debian/changelog ===
neat (2.3.2-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:01:47 +1100

neat (2.3.2-2build2) noble; urgency=high

  * No change rebuild against libcfitsio10t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:42:04 +0100

neat (2.3.2-2build1) lunar; urgency=medium

  * No-change rebuild against libcfitsio10

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 05:17:37 +0000

neat (2.3.2-2) unstable; urgency=medium

  * changed autopkgtest to write text output instead of fits (Closes: #982795)

 -- Roger Wesson <rw@nebulousresearch.org>  Mon, 01 Mar 2021 11:49:46 +0000

neat (2.3.2-1) unstable; urgency=medium

  * new upstream release
  * avoided self-inconsistency in extinction calculation by replacing
    hard-coded line ratios with calculated values
  * fixed uninitialised CFITSIO variable which sometimes resulted in
    invalid FITS output (Closes: #982795)

 -- Roger Wesson <rw@nebulousresearch.org>  Thu, 25 Feb 2021 09:33:49 +0000

neat (2.3.1-1) unstable; urgency=medium

  * new upstream release

 -- Roger Wesson <rw@nebulousresearch.org>  Fri, 05 Feb 2021 09:28:39 +0000

neat (2.3-1) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Nilesh Patra ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use -std=legacy to unbreak gcc-10 build
  * Add libcfitsio-dev to Build-Deps
  * Add simple autopkgtests
  * Switch watch version to 4

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 02 Feb 2021 18:58:35 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: neat
 Section: science
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Roger Wesson <rw@nebulousresearch.org>
-Build-Depends: debhelper (>= 11.0.0),
-               gfortran
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13),
+               gfortran,
+               libcfitsio-dev
+Standards-Version: 4.5.1
 Homepage: https://github.com/rwesson/NEAT
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-astro-team/neat.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/neat

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --no-parallel

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/NEAT-$1\.tar\.gz/ \
  https://github.com/rwesson/NEAT/tags .*/v?(\d\S*)\.tar\.gz
